<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/MediaPlayer/GStreamerMediaPlayer/include/MediaPlayer/OffsetManager.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_9d34932954f3d83257e5e12e3f421a72.html">MediaPlayer</a></li><li class="navelem"><a class="el" href="dir_e1f7d5df1447213cfb529aad5fa2c859.html">GStreamerMediaPlayer</a></li><li class="navelem"><a class="el" href="dir_d1a5c25c65a86ab490915a47e76c835a.html">include</a></li><li class="navelem"><a class="el" href="dir_9b83a3a02537ea061e11167c986dd2c8.html">MediaPlayer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">OffsetManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_offset_manager_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_MEDIAPLAYER_GSTREAMERMEDIAPLAYER_INCLUDE_MEDIAPLAYER_OFFSETMANAGER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_MEDIAPLAYER_GSTREAMERMEDIAPLAYER_INCLUDE_MEDIAPLAYER_OFFSETMANAGER_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;chrono&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span>mediaPlayer {</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html">   27</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html">OffsetManager</a> {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a51236afc9b2c592e4f433adf2785dc41">OffsetManager</a>();</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a6f76847d802a16fae3b6f35ee5a24cbc">setIsSeekable</a>(<span class="keywordtype">bool</span> seekable);</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a08956403596c65732765cbb096642789">isSeekable</a>();</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a68afba2a1e86843f13b3efa2d324a0ad">setSeekPoint</a>(std::chrono::milliseconds seekPoint);</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    std::chrono::milliseconds <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a1dcf5362d59b805edf761d6caa6fd055">getSeekPoint</a>();</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#ae0f81e342df6a659ed744808737b1604">isSeekPointSet</a>();</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a761bafb286b162e34f1207203b7de009">clear</a>();</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    std::chrono::milliseconds m_seekPoint;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <span class="keywordtype">bool</span> m_isSeekable;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordtype">bool</span> m_isSeekPointSet;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;};</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;}  <span class="comment">// namespace mediaPlayer</span></div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_MEDIAPLAYER_GSTREAMERMEDIAPLAYER_INCLUDE_MEDIAPLAYER_OFFSETMANAGER_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager_html_a51236afc9b2c592e4f433adf2785dc41"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a51236afc9b2c592e4f433adf2785dc41">alexaClientSDK::mediaPlayer::OffsetManager::OffsetManager</a></div><div class="ttdeci">OffsetManager()</div><div class="ttdef"><b>Definition:</b> OffsetManager.cpp:35</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager_html_a1dcf5362d59b805edf761d6caa6fd055"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a1dcf5362d59b805edf761d6caa6fd055">alexaClientSDK::mediaPlayer::OffsetManager::getSeekPoint</a></div><div class="ttdeci">std::chrono::milliseconds getSeekPoint()</div><div class="ttdef"><b>Definition:</b> OffsetManager.cpp:48</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager_html_a761bafb286b162e34f1207203b7de009"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a761bafb286b162e34f1207203b7de009">alexaClientSDK::mediaPlayer::OffsetManager::clear</a></div><div class="ttdeci">void clear()</div><div class="ttdef"><b>Definition:</b> OffsetManager.cpp:60</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager_html_a68afba2a1e86843f13b3efa2d324a0ad"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a68afba2a1e86843f13b3efa2d324a0ad">alexaClientSDK::mediaPlayer::OffsetManager::setSeekPoint</a></div><div class="ttdeci">void setSeekPoint(std::chrono::milliseconds seekPoint)</div><div class="ttdef"><b>Definition:</b> OffsetManager.cpp:43</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html">alexaClientSDK::mediaPlayer::OffsetManager</a></div><div class="ttdef"><b>Definition:</b> OffsetManager.h:27</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager_html_a6f76847d802a16fae3b6f35ee5a24cbc"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a6f76847d802a16fae3b6f35ee5a24cbc">alexaClientSDK::mediaPlayer::OffsetManager::setIsSeekable</a></div><div class="ttdeci">void setIsSeekable(bool seekable)</div><div class="ttdef"><b>Definition:</b> OffsetManager.cpp:39</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager_html_ae0f81e342df6a659ed744808737b1604"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#ae0f81e342df6a659ed744808737b1604">alexaClientSDK::mediaPlayer::OffsetManager::isSeekPointSet</a></div><div class="ttdeci">bool isSeekPointSet()</div><div class="ttdef"><b>Definition:</b> OffsetManager.cpp:56</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager_html_a08956403596c65732765cbb096642789"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a08956403596c65732765cbb096642789">alexaClientSDK::mediaPlayer::OffsetManager::isSeekable</a></div><div class="ttdeci">bool isSeekable()</div><div class="ttdef"><b>Definition:</b> OffsetManager.cpp:52</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
